Opportunities
Get Opportunity Status
One opportunity status by id
GET
/
opportunity-statuses
/
{id}
curl "https://api.clustr-ai.com/api/public/opportunity-statuses/5e6f7a8b-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"id": "5e6f7a8b-...",
"name": "Meeting booked",
"color": "#22C55E",
"position": 4,
"is_terminal": false
}
}
{
"success": false,
"error": { "message": "Status not found", "code": "NOT_FOUND" }
}
Path Parameters
string
required
Status UUID.
curl "https://api.clustr-ai.com/api/public/opportunity-statuses/5e6f7a8b-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"id": "5e6f7a8b-...",
"name": "Meeting booked",
"color": "#22C55E",
"position": 4,
"is_terminal": false
}
}
{
"success": false,
"error": { "message": "Status not found", "code": "NOT_FOUND" }
}
⌘I
curl "https://api.clustr-ai.com/api/public/opportunity-statuses/5e6f7a8b-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"id": "5e6f7a8b-...",
"name": "Meeting booked",
"color": "#22C55E",
"position": 4,
"is_terminal": false
}
}
{
"success": false,
"error": { "message": "Status not found", "code": "NOT_FOUND" }
}